=== debian/changelog ===
komorebi (2.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Switch to 3.0 (quilt) source format.
  * Add missing info to debian/copyright.
  * Clean cruft from debian/rules.
  * Split into komorebi and komorebi-data packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jun 2018 14:45:58 -0700

komorebi (2.0) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 18 Dec 2017 11:45:54 +0800
