=== debian/control ===
Source: komorebi
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
               dh-exec (>=0.3),
               libgtop2-dev,
               libgtk-3-dev (>= 3.14),
               libglib2.0-dev (>= 2.38), 
               libgee-0.8-dev, 
               libwnck-3-dev, 
               libclutter-gtk-1.0-dev, 
               libclutter-gst-3.0-dev, 
               cmake, 
               valac
Standards-Version: 3.9.8
Homepage: https://github.com/iabem97/komorebi

Package: komorebi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, komorebi-data  (>= ${binary:Version})
Description: beautiful and customizable desktop manager for Linux
 Komorebi is an awesome desktop wallpaper manager for all Linux platforms.
 It provides fully customizeable image and video wallpapers that can be tweaked
 at any time!
 
Package: komorebi-data
Architecture: all
Description: beautiful and customizable desktop manager for Linux--data files
 Komorebi is an awesome desktop wallpaper manager for all Linux platforms.
 It provides fully customizeable image and video wallpapers that can be tweaked
 at any time!
 .
 This package provides the architecture-independent data files for Komorebi.
