## komorebi 2.2.1

=== debian/changelog ===
komorebi (2.2.1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.
  * Add support for armhf packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Dec 2021 12:14:41 -0800

komorebi (2.2.1-0.1~mx19+1) mx; urgency=medium

  * Package new upstream release by new maintainers.
  * debian/control:
    - bump up to debhelper compat 11 for meson.
    - add meson (meson >= 0.49) and libwebkit2gtk-4.0-dev to BDs.
    - drop cmake from BDs.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 11 Oct 2020 08:42:01 -0700
