=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym
